using System;

namespace Takmicenje20
{
    class Program
    {
        static int brojevi(int n, int k)
        {
            return ((n / k) * ((n / k) + 1) / 2) * k + (n % k) * ((n / k) + 1);
        }
        static void Main(string[] args)
        {
            int T = int.Parse(Console.ReadLine());
            int[,] a = new int[T,3];
            for (int i = 0; i < T; i++)
            {
                string[] r = Console.ReadLine().Split();
                for (int j = 0; j < 3; j++)
                {
                    a[i,j] = int.Parse(r[j]);
                }
            }
            for(int i = 0; i < T; i++)
            {
                if (brojevi(a[i,0], a[i, 2]) <= a[i,1]) Console.WriteLine("Tak");
                else Console.WriteLine("Nie");
            }
        }
    }
}